Index: branches/HTM-14.1-update-dev1-RWTH/source/Lib/TLibCommon/TComRom.cpp
===================================================================
--- branches/HTM-14.1-update-dev1-RWTH/source/Lib/TLibCommon/TComRom.cpp	(revision 1243)
+++ branches/HTM-14.1-update-dev1-RWTH/source/Lib/TLibCommon/TComRom.cpp	(revision 1247)
@@ -253,5 +253,4 @@
     }
   }
-
 #if NH_3D_DMM
   if( !g_dmmWedgeLists.empty() ) 
@@ -526,5 +525,4 @@
 { //2x2   4x4   8x8 16x16 32x32 64x64
      0,    7,   10,   9,    9,   13 };
-
 Bool g_wedgePattern[32*32];
 extern std::vector< std::vector<TComWedgelet> >   g_dmmWedgeLists;
@@ -539,5 +537,5 @@
 const Bool g_bEncDecTraceEnable  = true;
 const Bool g_bEncDecTraceDisable = false;
-Bool   g_HLSTraceEnable = false;
+Bool   g_HLSTraceEnable = true;
 Bool   g_bJustDoIt = false;
 UInt64 g_nSymbolCounter = 0;
@@ -740,5 +738,4 @@
 std::vector< std::vector<TComWedgelet>  > g_dmmWedgeLists;
 std::vector< std::vector<TComWedgeNode> > g_dmmWedgeNodeLists;
-
 Void initWedgeLists( Bool initNodeList )
 {
@@ -751,5 +748,4 @@
     createWedgeList( uiWedgeBlockSize, uiWedgeBlockSize, acWedgeList, acWedgeRefList, g_dmmWedgeResolution[ui] );
     g_dmmWedgeLists.push_back( acWedgeList );
-
     if( initNodeList )
     {
@@ -811,5 +807,4 @@
   }
 }
-
 Void createWedgeList( UInt uiWidth, UInt uiHeight, std::vector<TComWedgelet> &racWedgeList, std::vector<TComWedgeRef> &racWedgeRefList, WedgeResolution eWedgeRes )
 {
@@ -852,5 +847,4 @@
   }
 }
-
 Void addWedgeletToList( TComWedgelet cWedgelet, std::vector<TComWedgelet> &racWedgeList, std::vector<TComWedgeRef> &racWedgeRefList )
 {
Index: branches/HTM-14.1-update-dev1-RWTH/source/Lib/TLibCommon/TComRom.h
===================================================================
--- branches/HTM-14.1-update-dev1-RWTH/source/Lib/TLibCommon/TComRom.h	(revision 1243)
+++ branches/HTM-14.1-update-dev1-RWTH/source/Lib/TLibCommon/TComRom.h	(revision 1247)
@@ -91,5 +91,4 @@
 extern const UChar  g_aucIntraModeNumFast_NotUseMPM[MAX_CU_DEPTH];
 extern const UChar  g_chroma422IntraAngleMappingTable[NUM_INTRA_MODE];
-
 // ====================================================================================================================
 // Depth coding modes
@@ -101,12 +100,9 @@
 extern       std::vector< std::vector<TComWedgelet> >        g_dmmWedgeLists;
 extern       std::vector< std::vector<TComWedgeNode> >       g_dmmWedgeNodeLists;
-
 Void initWedgeLists( Bool initNodeList = false );
 Void createWedgeList( UInt uiWidth, UInt uiHeight, std::vector<TComWedgelet> &racWedgeList, std::vector<TComWedgeRef> &racWedgeRefList, WedgeResolution eWedgeRes );
 Void addWedgeletToList( TComWedgelet cWedgelet, std::vector<TComWedgelet> &racWedgeList, std::vector<TComWedgeRef> &racWedgeRefList );
-
 WedgeList*     getWedgeListScaled    ( UInt blkSize );
 WedgeNodeList* getWedgeNodeListScaled( UInt blkSize );
-
 __inline Void mapDmmToIntraDir( UInt& intraMode ) { if( isDmmMode( intraMode ) ) intraMode = DC_IDX; }
 __inline Void mapDmmToIntraDir(  Int& intraMode ) { if( isDmmMode( intraMode ) ) intraMode = DC_IDX; }
Index: branches/HTM-14.1-update-dev1-RWTH/source/Lib/TLibCommon/TypeDef.h
===================================================================
--- branches/HTM-14.1-update-dev1-RWTH/source/Lib/TLibCommon/TypeDef.h	(revision 1243)
+++ branches/HTM-14.1-update-dev1-RWTH/source/Lib/TLibCommon/TypeDef.h	(revision 1247)
@@ -65,5 +65,5 @@
 /////////////////////////////////////////////////////////////////////////////////////////
 #if NH_MV
-#define H_MV_ENC_DEC_TRAC                 0  //< CU/PU level tracking
+#define H_MV_ENC_DEC_TRAC                 1  //< CU/PU level tracking
 
 #if NH_3D
Index: branches/HTM-14.1-update-dev1-RWTH/source/Lib/TLibDecoder/TDecCAVLC.cpp
===================================================================
--- branches/HTM-14.1-update-dev1-RWTH/source/Lib/TLibDecoder/TDecCAVLC.cpp	(revision 1243)
+++ branches/HTM-14.1-update-dev1-RWTH/source/Lib/TLibDecoder/TDecCAVLC.cpp	(revision 1247)
@@ -501,5 +501,5 @@
   TComDLT* pcDLT = pcPPS->getDLT();
 
-  READ_FLAG(uiCode, "dlt_present_flag");
+  READ_FLAG(uiCode, "dlts_present_flag");
   pcDLT->setDltPresentFlag( (uiCode == 1) ? true : false );
 
@@ -509,5 +509,5 @@
     pcDLT->setNumDepthViews( uiCode+1 );
     
-    READ_CODE(4, uiCode, "pps_bit_depth_for_depth_views_minus8");
+    READ_CODE(4, uiCode, "pps_bit_depth_for_depth_layers_minus8");
     pcDLT->setDepthViewBitDepth( (uiCode+8) );
     
@@ -526,5 +526,5 @@
         UInt uiCodeLength         = 0;
         
-        READ_FLAG(uiCode, "inter_view_dlt_pred_enable_flag[ i ]");
+        READ_FLAG(uiCode, "dlt_pred_flag[i]");
         
         if( uiCode )
@@ -536,5 +536,5 @@
         if ( pcDLT->getInterViewDltPredEnableFlag( layerId ) == false )
         {
-          READ_FLAG(uiCode, "dlt_bit_map_rep_flag[ layerId ]");
+          READ_FLAG(uiCode, "dlt_val_flags_present_flag[i]");
           bDltBitMapRepFlag = (uiCode == 1) ? true : false;
         }
@@ -552,5 +552,5 @@
           for (UInt d=0; d<256; d++)
           {
-            READ_FLAG(uiCode, "dlt_bit_map_flag[ layerId ][ j ]");
+            READ_FLAG(uiCode, "dlt_value_flag[i][j]");
             if (uiCode == 1)
             {
@@ -563,5 +563,5 @@
         else
         {
-          READ_CODE(8, uiNumDepthValues, "num_depth_values_in_dlt[i]");   // num_entry
+          READ_CODE(8, uiNumDepthValues, "num_val_delta_dlt");   // num_entry
           
           {
@@ -570,5 +570,5 @@
             if (uiNumDepthValues > 1)
             {
-              READ_CODE(8, uiCode, "max_diff[ layerId ]");
+              READ_CODE(8, uiCode, "max_diff");
               uiMaxDiff = uiCode;
             }
@@ -581,5 +581,5 @@
             {
               uiCodeLength = (UInt) gCeilLog2(uiMaxDiff + 1);
-              READ_CODE(uiCodeLength, uiCode, "min_diff_minus1[ layerId ]");
+              READ_CODE(uiCodeLength, uiCode, "min_diff_minus1");
               uiMinDiff = uiCode + 1;
             }
@@ -589,5 +589,5 @@
             }
             
-            READ_CODE(8, uiCode, "dlt_depth_value0[layerId]");   // entry0
+            READ_CODE(8, uiCode, "delta_dlt_val0");   // entry0
             aiIdx2DepthValue[0] = uiCode;
             
@@ -604,5 +604,5 @@
               for (UInt d=1; d<uiNumDepthValues; d++)
               {
-                READ_CODE(uiCodeLength, uiCode, "dlt_depth_value_diff_minus_min[ layerId ][ j ]");
+                READ_CODE(uiCodeLength, uiCode, "delta_val_diff_minus_min[k]");
                 aiIdx2DepthValue[d] = aiIdx2DepthValue[d-1] + uiMinDiff + uiCode;
               }
@@ -648,5 +648,5 @@
     {
       READ_CODE(16, uiCode, "sar_width");                             pcVUI->setSarWidth(uiCode);
-      READ_CODE(16, uiCode, "sar_height");                            pcVUI->setSarHeight(uiCode);
+      READ_CODE(16, uiCode, "sar_height");                              pcVUI->setSarHeight(uiCode);
     }
   }
Index: branches/HTM-14.1-update-dev1-RWTH/source/Lib/TLibEncoder/TEncCavlc.cpp
===================================================================
--- branches/HTM-14.1-update-dev1-RWTH/source/Lib/TLibEncoder/TEncCavlc.cpp	(revision 1243)
+++ branches/HTM-14.1-update-dev1-RWTH/source/Lib/TLibEncoder/TEncCavlc.cpp	(revision 1247)
@@ -373,10 +373,10 @@
 {
 #if NH_3D_DLT
-  WRITE_FLAG( pcPPS->getDLT()->getDltPresentFlag() ? 1 : 0, "dlt_present_flag" );
+  WRITE_FLAG( pcPPS->getDLT()->getDltPresentFlag() ? 1 : 0, "dlts_present_flag" );
 
   if ( pcPPS->getDLT()->getDltPresentFlag() )
   {
     WRITE_CODE(pcPPS->getDLT()->getNumDepthViews() - 1, 6, "pps_depth_layers_minus1");
-    WRITE_CODE((pcPPS->getDLT()->getDepthViewBitDepth() - 8), 4, "pps_bit_depth_for_depth_views_minus8");
+    WRITE_CODE((pcPPS->getDLT()->getDepthViewBitDepth() - 8), 4, "pps_bit_depth_for_depth_layers_minus8");
     
     for( Int i = 0; i <= pcPPS->getDLT()->getNumDepthViews(); i++ )
@@ -384,5 +384,5 @@
       Int layerId = pcPPS->getDLT()->getDepthIdxToLayerId(i);
       
-      WRITE_FLAG( pcPPS->getDLT()->getUseDLTFlag( layerId ) ? 1 : 0, "dlt_flag[layerId]" );
+      WRITE_FLAG( pcPPS->getDLT()->getUseDLTFlag( layerId ) ? 1 : 0, "dlt_flag[i]" );
       
       if ( pcPPS->getDLT()->getUseDLTFlag( layerId ) )
@@ -392,8 +392,8 @@
         
         // ----------------------------- Actual coding -----------------------------
-        WRITE_FLAG( pcPPS->getDLT()->getInterViewDltPredEnableFlag( layerId ) ? 1 : 0, "inter_view_dlt_pred_enable_flag[ layerId ]");
+        WRITE_FLAG( pcPPS->getDLT()->getInterViewDltPredEnableFlag( layerId ) ? 1 : 0, "dlt_pred_flag[i]");
         if ( pcPPS->getDLT()->getInterViewDltPredEnableFlag( layerId ) == false )
         {
-          WRITE_FLAG( pcPPS->getDLT()->getUseBitmapRep( layerId ) ? 1 : 0, "dlt_bit_map_rep_flag[ layerId ]" );
+          WRITE_FLAG( pcPPS->getDLT()->getUseBitmapRep( layerId ) ? 1 : 0, "dlt_val_flags_present_flag[i]" );
           
           for( UInt ui = 0; ui<uiNumDepthValues_coded; ui++ )
@@ -419,10 +419,10 @@
             if ( d == aiIdx2DepthValue_coded[uiDltArrayIndex] )
             {
-              WRITE_FLAG(1, "dlt_bit_map_flag[ layerId ][ j ]");
+              WRITE_FLAG(1, "dlt_value_flag[i][j]");
               uiDltArrayIndex++;
             }
             else
             {
-              WRITE_FLAG(0, "dlt_bit_map_flag[ layerId ][ j ]");
+              WRITE_FLAG(0, "dlt_value_flag[i][j]");
             }
           }
@@ -462,18 +462,18 @@
           }
           
-          WRITE_CODE(uiNumDepthValues_coded, 8, "num_depth_values_in_dlt[layerId]");    // num_entry
+          WRITE_CODE(uiNumDepthValues_coded, 8, "num_val_delta_dlt");    // num_entry
           {
             // The condition if( uiNumDepthValues_coded > 0 ) is always true since for Single-view Diff Coding, there is at least one depth value in depth component.
             if ( uiNumDepthValues_coded > 1 )
             {
-              WRITE_CODE(uiMaxDiff, 8, "max_diff[ layerId ]");        // max_diff
+              WRITE_CODE(uiMaxDiff, 8, "max_diff");        // max_diff
             }
             
             if ( uiNumDepthValues_coded > 2 )
             {
-              WRITE_CODE((uiMinDiff - 1), uiLengthMinDiff, "min_diff_minus1[ layerId ]");     // min_diff_minus1
+              WRITE_CODE((uiMinDiff - 1), uiLengthMinDiff, "min_diff_minus1");     // min_diff_minus1
             }
             
-            WRITE_CODE(aiIdx2DepthValue_coded[0], 8, "dlt_depth_value0[layerId]");          // entry0
+            WRITE_CODE(aiIdx2DepthValue_coded[0], 8, "delta_dlt_val0");          // entry0
             
             if (uiMaxDiff > uiMinDiff)
@@ -481,5 +481,5 @@
               for (UInt d=1; d < uiNumDepthValues_coded; d++)
               {
-                WRITE_CODE( (puiDltDiffValues[d] - uiMinDiff), uiLengthDltDiffMinusMin, "dlt_depth_value_diff_minus_min[ layerId ][ j ]");    // entry_value_diff_minus_min[ k ]
+                WRITE_CODE( (puiDltDiffValues[d] - uiMinDiff), uiLengthDltDiffMinusMin, "delta_val_diff_minus_min[k]");    // entry_value_diff_minus_min[ k ]
               }
             }
Index: branches/HTM-14.1-update-dev1-RWTH/source/Lib/TLibEncoder/TEncSearch.cpp
===================================================================
--- branches/HTM-14.1-update-dev1-RWTH/source/Lib/TLibEncoder/TEncSearch.cpp	(revision 1243)
+++ branches/HTM-14.1-update-dev1-RWTH/source/Lib/TLibEncoder/TEncSearch.cpp	(revision 1247)
@@ -3198,5 +3198,5 @@
           Bool zeroResiTest = (pcCU->getSlice()->getIsDepth() && !pcCU->getSlice()->isIRAP());
 #if NH_3D_SDC_INTRA
-          zeroResiTest |= pcCU->getSDCFlag(uiPartOffset);
+          zeroResiTest = zeroResiTest || pcCU->getSDCFlag(uiPartOffset);
           if( uiSDC != 0 && iSDCDeltaResi != 0 )
           {
@@ -3204,5 +3204,5 @@
           }
 #endif
-          for( UInt zeroResi = 0; zeroResi <= zeroResiTest?1:0; zeroResi++ )
+          for( UInt zeroResi = 0; zeroResi <= ( zeroResiTest ? 1 : 0 ); zeroResi++ )
           {
 #endif