Index: /branches/HTM-14.1-update-dev1-RWTH/source/App/TAppEncoder/TAppEncTop.cpp
===================================================================
--- /branches/HTM-14.1-update-dev1-RWTH/source/App/TAppEncoder/TAppEncTop.cpp	(revision 1248)
+++ /branches/HTM-14.1-update-dev1-RWTH/source/App/TAppEncoder/TAppEncTop.cpp	(revision 1249)
@@ -92,5 +92,5 @@
 
 #if NH_3D_DLT
-  TComDLT dlt = m_dlt;
+  TComDLT dlt = TComDLT();
 #endif
 
@@ -150,5 +150,5 @@
 #endif
 #if NH_3D_DLT
-  xDeriveDltArray          ( vps, dlt );
+  xDeriveDltArray          ( vps, &dlt );
 #endif
   if ( m_targetEncLayerIdList.size() == 0 )
@@ -2387,5 +2387,5 @@
 
 #if NH_3D_DLT
-Void TAppEncTop::xDeriveDltArray( TComVPS& vps, TComDLT& dlt )
+Void TAppEncTop::xDeriveDltArray( TComVPS& vps, TComDLT* dlt )
 {
   Int  iNumDepthViews  = 0;
@@ -2401,10 +2401,10 @@
     }
 
-    dlt.setUseDLTFlag( layer , isDepth && m_useDLT );
-    if( dlt.getUseDLTFlag( layer ) )
-    {
-      xAnalyzeInputBaseDepth(layer, max(m_iIntraPeriod[layer], 24), &vps, &dlt);
-      bDltPresentFlag = bDltPresentFlag || dlt.getUseDLTFlag(layer);
-      dlt.setInterViewDltPredEnableFlag(layer, (dlt.getUseDLTFlag(layer) && (layer>1)));
+    dlt->setUseDLTFlag( layer , isDepth && m_useDLT );
+    if( dlt->getUseDLTFlag( layer ) )
+    {
+      xAnalyzeInputBaseDepth(layer, max(m_iIntraPeriod[layer], 24), &vps, dlt);
+      bDltPresentFlag = bDltPresentFlag || dlt->getUseDLTFlag(layer);
+      dlt->setInterViewDltPredEnableFlag(layer, (dlt->getUseDLTFlag(layer) && (layer>1)));
       
       // ----------------------------- determine whether to use bit-map -----------------------------
@@ -2421,18 +2421,18 @@
       UInt uiNumDepthValues_coded = 0;
       
-      uiNumDepthValues_coded = dlt.getNumDepthValues(layer);
+      uiNumDepthValues_coded = dlt->getNumDepthValues(layer);
       for( UInt ui = 0; ui<uiNumDepthValues_coded; ui++ )
       {
-        aiIdx2DepthValue_coded[ui] = dlt.idx2DepthValue(layer, ui);
+        aiIdx2DepthValue_coded[ui] = dlt->idx2DepthValue(layer, ui);
       }
       
-      if( dlt.getInterViewDltPredEnableFlag( layer ) )
+      if( dlt->getInterViewDltPredEnableFlag( layer ) )
       {
         AOF( vps.getDepthId( 1 ) == 1 );
         AOF( layer > 1 );
         // assumes ref layer id to be 1
-        std::vector<Int> piRefDLT = dlt.idx2DepthValue( 1 );
-        UInt uiRefNum = dlt.getNumDepthValues( 1 );
-        dlt.getDeltaDLT(layer, piRefDLT, uiRefNum, aiIdx2DepthValue_coded, uiNumDepthValues_coded);
+        std::vector<Int> piRefDLT = dlt->idx2DepthValue( 1 );
+        UInt uiRefNum = dlt->getNumDepthValues( 1 );
+        dlt->getDeltaDLT(layer, piRefDLT, uiRefNum, aiIdx2DepthValue_coded, uiNumDepthValues_coded);
       }
       
@@ -2483,11 +2483,11 @@
       bDltBitMapRepFlag = (uiNumBitsBitMap > uiNumBitsNonBitMap) ? false : true;
       
-      dlt.setUseBitmapRep(layer, bDltBitMapRepFlag);
-    }
-  }
-
-  dlt.setDltPresentFlag( bDltPresentFlag );
-  dlt.setNumDepthViews ( iNumDepthViews  );
-  dlt.setDepthViewBitDepth( m_inputBitDepth[CHANNEL_TYPE_LUMA] );
+      dlt->setUseBitmapRep(layer, bDltBitMapRepFlag);
+    }
+  }
+
+  dlt->setDltPresentFlag( bDltPresentFlag );
+  dlt->setNumDepthViews ( iNumDepthViews  );
+  dlt->setDepthViewBitDepth( m_inputBitDepth[CHANNEL_TYPE_LUMA] );
 }
 #endif
Index: /branches/HTM-14.1-update-dev1-RWTH/source/App/TAppEncoder/TAppEncTop.h
===================================================================
--- /branches/HTM-14.1-update-dev1-RWTH/source/App/TAppEncoder/TAppEncTop.h	(revision 1248)
+++ /branches/HTM-14.1-update-dev1-RWTH/source/App/TAppEncoder/TAppEncTop.h	(revision 1249)
@@ -90,7 +90,4 @@
 #endif
 
-#if NH_3D_DLT
-  TComDLT                    m_dlt;                         ///< dlt
-#endif
 #if NH_3D
   TComSps3dExtension         m_sps3dExtension;              ///< Currently all layers share the same sps 3D Extension  
@@ -155,5 +152,5 @@
 #endif
 #if NH_3D_DLT
-  Void xDeriveDltArray( TComVPS& vps, TComDLT& dlt );
+  Void xDeriveDltArray( TComVPS& vps, TComDLT* dlt );
   Void xAnalyzeInputBaseDepth(UInt layer, UInt uiNumFrames, TComVPS* vps, TComDLT* dlt);
 #endif