Index: branches/SHM-dev/cfg/encoder_intra_scalable.cfg
===================================================================
--- branches/SHM-dev/cfg/encoder_intra_scalable.cfg	(revision 1072)
+++ branches/SHM-dev/cfg/encoder_intra_scalable.cfg	(revision 1268)
@@ -12,13 +12,13 @@
 
 #======== Unit definition ================
-MaxCUWidth                    : 64          # Maximum coding unit width in pixel
-MaxCUHeight                   : 64          # Maximum coding unit height in pixel
-MaxPartitionDepth             : 4           # Maximum coding unit depth
-QuadtreeTULog2MaxSize         : 5           # Log2 of maximum transform size for
+#MaxCUWidth                    : 64          # Maximum coding unit width in pixel
+#MaxCUHeight                   : 64          # Maximum coding unit height in pixel
+#MaxPartitionDepth             : 4           # Maximum coding unit depth
+#QuadtreeTULog2MaxSize         : 5           # Log2 of maximum transform size for
                                             # quadtree-based TU coding (2...6)
-QuadtreeTULog2MinSize         : 2           # Log2 of minimum transform size for
+#QuadtreeTULog2MinSize         : 2           # Log2 of minimum transform size for
                                             # quadtree-based TU coding (2...6)
-QuadtreeTUMaxDepthInter       : 3
-QuadtreeTUMaxDepthIntra       : 3
+#QuadtreeTUMaxDepthInter       : 3
+#QuadtreeTUMaxDepthIntra       : 3
 
 #======== Coding Structure =============
@@ -38,5 +38,5 @@
 #QP                            : 32          # Quantization parameter(0-51)
 MaxDeltaQP                    : 0           # CU-based multi-QP optimization
-MaxCuDQPDepth                 : 0           # Max depth of a minimum CuDQP for sub-LCU-level delta QP
+#MaxCuDQPDepth                 : 0           # Max depth of a minimum CuDQP for sub-LCU-level delta QP
 DeltaQpRD                     : 0           # Slice-based multi-QP optimization
 RDOQ                          : 1           # RDOQ
Index: branches/SHM-dev/cfg/encoder_intra_scalable10.cfg
===================================================================
--- branches/SHM-dev/cfg/encoder_intra_scalable10.cfg	(revision 1072)
+++ branches/SHM-dev/cfg/encoder_intra_scalable10.cfg	(revision 1268)
@@ -11,13 +11,13 @@
 
 #======== Unit definition ================
-MaxCUWidth                    : 64          # Maximum coding unit width in pixel
-MaxCUHeight                   : 64          # Maximum coding unit height in pixel
-MaxPartitionDepth             : 4           # Maximum coding unit depth
-QuadtreeTULog2MaxSize         : 5           # Log2 of maximum transform size for
+#MaxCUWidth                    : 64          # Maximum coding unit width in pixel
+#MaxCUHeight                   : 64          # Maximum coding unit height in pixel
+#MaxPartitionDepth             : 4           # Maximum coding unit depth
+#QuadtreeTULog2MaxSize         : 5           # Log2 of maximum transform size for
                                             # quadtree-based TU coding (2...6)
-QuadtreeTULog2MinSize         : 2           # Log2 of minimum transform size for
+#QuadtreeTULog2MinSize         : 2           # Log2 of minimum transform size for
                                             # quadtree-based TU coding (2...6)
-QuadtreeTUMaxDepthInter       : 3
-QuadtreeTUMaxDepthIntra       : 3
+#QuadtreeTUMaxDepthInter       : 3
+#QuadtreeTUMaxDepthIntra       : 3
 
 #======== Coding Structure =============
@@ -37,5 +37,5 @@
 #QP                            : 32          # Quantization parameter(0-51)
 MaxDeltaQP                    : 0           # CU-based multi-QP optimization
-MaxCuDQPDepth                 : 0           # Max depth of a minimum CuDQP for sub-LCU-level delta QP
+#MaxCuDQPDepth                 : 0           # Max depth of a minimum CuDQP for sub-LCU-level delta QP
 DeltaQpRD                     : 0           # Slice-based multi-QP optimization
 RDOQ                          : 1           # RDOQ
Index: branches/SHM-dev/cfg/encoder_lowdelay_P_scalable.cfg
===================================================================
--- branches/SHM-dev/cfg/encoder_lowdelay_P_scalable.cfg	(revision 1072)
+++ branches/SHM-dev/cfg/encoder_lowdelay_P_scalable.cfg	(revision 1268)
@@ -12,13 +12,13 @@
 
 #======== Unit definition ================
-MaxCUWidth                    : 64          # Maximum coding unit width in pixel
-MaxCUHeight                   : 64          # Maximum coding unit height in pixel
-MaxPartitionDepth             : 4           # Maximum coding unit depth
-QuadtreeTULog2MaxSize         : 5           # Log2 of maximum transform size for
+#MaxCUWidth                    : 64          # Maximum coding unit width in pixel
+#MaxCUHeight                   : 64          # Maximum coding unit height in pixel
+#MaxPartitionDepth             : 4           # Maximum coding unit depth
+#QuadtreeTULog2MaxSize         : 5           # Log2 of maximum transform size for
                                             # quadtree-based TU coding (2...6)
-QuadtreeTULog2MinSize         : 2           # Log2 of minimum transform size for
+#QuadtreeTULog2MinSize         : 2           # Log2 of minimum transform size for
                                             # quadtree-based TU coding (2...6)
-QuadtreeTUMaxDepthInter       : 3
-QuadtreeTUMaxDepthIntra       : 3
+#QuadtreeTUMaxDepthInter       : 3
+#QuadtreeTUMaxDepthIntra       : 3
 
 #======== Coding Structure =============
@@ -43,5 +43,5 @@
 #QP                            : 32          # Quantization parameter(0-51)
 MaxDeltaQP                    : 0           # CU-based multi-QP optimization
-MaxCuDQPDepth                 : 0           # Max depth of a minimum CuDQP for sub-LCU-level delta QP
+#MaxCuDQPDepth                 : 0           # Max depth of a minimum CuDQP for sub-LCU-level delta QP
 DeltaQpRD                     : 0           # Slice-based multi-QP optimization
 RDOQ                          : 1           # RDOQ
Index: branches/SHM-dev/cfg/encoder_lowdelay_P_scalable10.cfg
===================================================================
--- branches/SHM-dev/cfg/encoder_lowdelay_P_scalable10.cfg	(revision 1072)
+++ branches/SHM-dev/cfg/encoder_lowdelay_P_scalable10.cfg	(revision 1268)
@@ -12,13 +12,13 @@
 
 #======== Unit definition ================
-MaxCUWidth                    : 64          # Maximum coding unit width in pixel
-MaxCUHeight                   : 64          # Maximum coding unit height in pixel
-MaxPartitionDepth             : 4           # Maximum coding unit depth
-QuadtreeTULog2MaxSize         : 5           # Log2 of maximum transform size for
+#MaxCUWidth                    : 64          # Maximum coding unit width in pixel
+#MaxCUHeight                   : 64          # Maximum coding unit height in pixel
+#MaxPartitionDepth             : 4           # Maximum coding unit depth
+#QuadtreeTULog2MaxSize         : 5           # Log2 of maximum transform size for
                                             # quadtree-based TU coding (2...6)
-QuadtreeTULog2MinSize         : 2           # Log2 of minimum transform size for
+#QuadtreeTULog2MinSize         : 2           # Log2 of minimum transform size for
                                             # quadtree-based TU coding (2...6)
-QuadtreeTUMaxDepthInter       : 3
-QuadtreeTUMaxDepthIntra       : 3
+#QuadtreeTUMaxDepthInter       : 3
+#QuadtreeTUMaxDepthIntra       : 3
 
 #======== Coding Structure =============
@@ -43,5 +43,5 @@
 #QP                            : 32          # Quantization parameter(0-51)
 MaxDeltaQP                    : 0           # CU-based multi-QP optimization
-MaxCuDQPDepth                 : 0           # Max depth of a minimum CuDQP for sub-LCU-level delta QP
+#MaxCuDQPDepth                 : 0           # Max depth of a minimum CuDQP for sub-LCU-level delta QP
 DeltaQpRD                     : 0           # Slice-based multi-QP optimization
 RDOQ                          : 1           # RDOQ
Index: branches/SHM-dev/cfg/encoder_lowdelay_scalable.cfg
===================================================================
--- branches/SHM-dev/cfg/encoder_lowdelay_scalable.cfg	(revision 1072)
+++ branches/SHM-dev/cfg/encoder_lowdelay_scalable.cfg	(revision 1268)
@@ -12,13 +12,13 @@
 
 #======== Unit definition ================
-MaxCUWidth                    : 64          # Maximum coding unit width in pixel
-MaxCUHeight                   : 64          # Maximum coding unit height in pixel
-MaxPartitionDepth             : 4           # Maximum coding unit depth
-QuadtreeTULog2MaxSize         : 5           # Log2 of maximum transform size for
+#MaxCUWidth                    : 64          # Maximum coding unit width in pixel
+#MaxCUHeight                   : 64          # Maximum coding unit height in pixel
+#MaxPartitionDepth             : 4           # Maximum coding unit depth
+#QuadtreeTULog2MaxSize         : 5           # Log2 of maximum transform size for
                                             # quadtree-based TU coding (2...6)
-QuadtreeTULog2MinSize         : 2           # Log2 of minimum transform size for
+#QuadtreeTULog2MinSize         : 2           # Log2 of minimum transform size for
                                             # quadtree-based TU coding (2...6)
-QuadtreeTUMaxDepthInter       : 3
-QuadtreeTUMaxDepthIntra       : 3
+#QuadtreeTUMaxDepthInter       : 3
+#QuadtreeTUMaxDepthIntra       : 3
 
 #======== Coding Structure =============
@@ -43,5 +43,5 @@
 #QP                            : 32          # Quantization parameter(0-51)
 MaxDeltaQP                    : 0           # CU-based multi-QP optimization
-MaxCuDQPDepth                 : 0           # Max depth of a minimum CuDQP for sub-LCU-level delta QP
+#MaxCuDQPDepth                 : 0           # Max depth of a minimum CuDQP for sub-LCU-level delta QP
 DeltaQpRD                     : 0           # Slice-based multi-QP optimization
 RDOQ                          : 1           # RDOQ
Index: branches/SHM-dev/cfg/encoder_lowdelay_scalable10.cfg
===================================================================
--- branches/SHM-dev/cfg/encoder_lowdelay_scalable10.cfg	(revision 1072)
+++ branches/SHM-dev/cfg/encoder_lowdelay_scalable10.cfg	(revision 1268)
@@ -12,13 +12,13 @@
 
 #======== Unit definition ================
-MaxCUWidth                    : 64          # Maximum coding unit width in pixel
-MaxCUHeight                   : 64          # Maximum coding unit height in pixel
-MaxPartitionDepth             : 4           # Maximum coding unit depth
-QuadtreeTULog2MaxSize         : 5           # Log2 of maximum transform size for
+#MaxCUWidth                    : 64          # Maximum coding unit width in pixel
+#MaxCUHeight                   : 64          # Maximum coding unit height in pixel
+#MaxPartitionDepth             : 4           # Maximum coding unit depth
+#QuadtreeTULog2MaxSize         : 5           # Log2 of maximum transform size for
                                             # quadtree-based TU coding (2...6)
-QuadtreeTULog2MinSize         : 2           # Log2 of minimum transform size for
+#QuadtreeTULog2MinSize         : 2           # Log2 of minimum transform size for
                                             # quadtree-based TU coding (2...6)
-QuadtreeTUMaxDepthInter       : 3
-QuadtreeTUMaxDepthIntra       : 3
+#QuadtreeTUMaxDepthInter       : 3
+#QuadtreeTUMaxDepthIntra       : 3
 
 #======== Coding Structure =============
@@ -43,5 +43,5 @@
 #QP                            : 32          # Quantization parameter(0-51)
 MaxDeltaQP                    : 0           # CU-based multi-QP optimization
-MaxCuDQPDepth                 : 0           # Max depth of a minimum CuDQP for sub-LCU-level delta QP
+#MaxCuDQPDepth                 : 0           # Max depth of a minimum CuDQP for sub-LCU-level delta QP
 DeltaQpRD                     : 0           # Slice-based multi-QP optimization
 RDOQ                          : 1           # RDOQ
Index: branches/SHM-dev/cfg/encoder_randomaccess_scalable.cfg
===================================================================
--- branches/SHM-dev/cfg/encoder_randomaccess_scalable.cfg	(revision 1072)
+++ branches/SHM-dev/cfg/encoder_randomaccess_scalable.cfg	(revision 1268)
@@ -12,13 +12,13 @@
 
 #======== Unit definition ================
-MaxCUWidth                    : 64          # Maximum coding unit width in pixel
-MaxCUHeight                   : 64          # Maximum coding unit height in pixel
-MaxPartitionDepth             : 4           # Maximum coding unit depth
-QuadtreeTULog2MaxSize         : 5           # Log2 of maximum transform size for
+#MaxCUWidth                    : 64          # Maximum coding unit width in pixel
+#MaxCUHeight                   : 64          # Maximum coding unit height in pixel
+#MaxPartitionDepth             : 4           # Maximum coding unit depth
+#QuadtreeTULog2MaxSize         : 5           # Log2 of maximum transform size for
                                             # quadtree-based TU coding (2...6)
-QuadtreeTULog2MinSize         : 2           # Log2 of minimum transform size for
+#QuadtreeTULog2MinSize         : 2           # Log2 of minimum transform size for
                                             # quadtree-based TU coding (2...6)
-QuadtreeTUMaxDepthInter       : 3
-QuadtreeTUMaxDepthIntra       : 3
+#QuadtreeTUMaxDepthInter       : 3
+#QuadtreeTUMaxDepthIntra       : 3
 
 #======== Coding Structure =============
@@ -47,5 +47,5 @@
 #QP                            : 32          # Quantization parameter(0-51)
 MaxDeltaQP                    : 0           # CU-based multi-QP optimization
-MaxCuDQPDepth                 : 0           # Max depth of a minimum CuDQP for sub-LCU-level delta QP
+#MaxCuDQPDepth                 : 0           # Max depth of a minimum CuDQP for sub-LCU-level delta QP
 DeltaQpRD                     : 0           # Slice-based multi-QP optimization
 RDOQ                          : 1           # RDOQ
Index: branches/SHM-dev/cfg/encoder_randomaccess_scalable10.cfg
===================================================================
--- branches/SHM-dev/cfg/encoder_randomaccess_scalable10.cfg	(revision 1072)
+++ branches/SHM-dev/cfg/encoder_randomaccess_scalable10.cfg	(revision 1268)
@@ -12,13 +12,13 @@
 
 #======== Unit definition ================
-MaxCUWidth                    : 64          # Maximum coding unit width in pixel
-MaxCUHeight                   : 64          # Maximum coding unit height in pixel
-MaxPartitionDepth             : 4           # Maximum coding unit depth
-QuadtreeTULog2MaxSize         : 5           # Log2 of maximum transform size for
+#MaxCUWidth                    : 64          # Maximum coding unit width in pixel
+#MaxCUHeight                   : 64          # Maximum coding unit height in pixel
+#MaxPartitionDepth             : 4           # Maximum coding unit depth
+#QuadtreeTULog2MaxSize         : 5           # Log2 of maximum transform size for
                                             # quadtree-based TU coding (2...6)
-QuadtreeTULog2MinSize         : 2           # Log2 of minimum transform size for
+#QuadtreeTULog2MinSize         : 2           # Log2 of minimum transform size for
                                             # quadtree-based TU coding (2...6)
-QuadtreeTUMaxDepthInter       : 3
-QuadtreeTUMaxDepthIntra       : 3
+#QuadtreeTUMaxDepthInter       : 3
+#QuadtreeTUMaxDepthIntra       : 3
 
 #======== Coding Structure =============
@@ -47,5 +47,5 @@
 #QP                            : 32          # Quantization parameter(0-51)
 MaxDeltaQP                    : 0           # CU-based multi-QP optimization
-MaxCuDQPDepth                 : 0           # Max depth of a minimum CuDQP for sub-LCU-level delta QP
+#MaxCuDQPDepth                 : 0           # Max depth of a minimum CuDQP for sub-LCU-level delta QP
 DeltaQpRD                     : 0           # Slice-based multi-QP optimization
 RDOQ                          : 1           # RDOQ